<?php
include('includes/header.php'); // Include your database connection file

// Calculate the previous month
$currentYear = date('Y');
$currentMonth = date('m');

if ($currentMonth == '01') {
    // If the current month is January, set the previous month to December of the previous year
    $previousMonth = '12';
    $previousYear = $currentYear - 1;
} else {
    // For other months, simply subtract 1 from the current month
    $previousMonth = sprintf('%02d', $currentMonth - 1); // Ensure 2-digit format
    $previousYear = $currentYear;
}

// Calculate the date for April and Sept
$marchDate = $currentYear . '-03-01';
$septDate = $currentYear . '-09-01';

// Calculate the start and end months for cumulative direct labor
$startMonth = $currentYear . '-04-01';
$endMonth = $currentYear . '-09-30';

// Query to retrieve the Total MIS Income for the Year from the database
$queryTotal = "SELECT total_mis_income FROM mis_income_cum WHERE month = '$previousYear-$previousMonth-01'";
$resultTotal = mysqli_query($conn, $queryTotal);
if (!$resultTotal) {
    die("Total Query failed: " . mysqli_error($conn));
}
// Fetch the Total MIS Income value
$rowTotal = mysqli_fetch_assoc($resultTotal);
$misIncomeTotal = $rowTotal['total_mis_income'];

// Query to retrieve the Monthly MIS Income for the current month from the database
$queryMonthly = "SELECT monthly_mis_income FROM mis_income_monthly WHERE month = '$previousYear-$previousMonth-01'";
$resultMonthly = mysqli_query($conn, $queryMonthly);
if (!$resultMonthly) {
    die("Monthly Query failed: " . mysqli_error($conn));
}
// Fetch the Monthly MIS Income value
$rowMonthly = mysqli_fetch_assoc($resultMonthly);
$monthlyMISIncome = $rowMonthly['monthly_mis_income'];

// Query to retrieve the Total DL Value for the current year from the database
$queryDLTotal = "SELECT total_DL_value FROM mis_DL_cum WHERE month = '$previousYear-$previousMonth-01'";
$resultDLTotal = mysqli_query($conn, $queryDLTotal);
if (!$resultDLTotal) {
    die("Monthly Query failed: " . mysqli_error($conn));
}
// Fetch the Monthly MIS Income value
$rowDLTotal = mysqli_fetch_assoc($resultDLTotal);
$TotalDL = $rowDLTotal['total_DL_value'];

// Query to retrieve the Cumulative DM Value for the current year from the database
$queryCumulativeDM = "SELECT cumulative_DM_value FROM mis_DM_cum WHERE month = '$previousYear-$previousMonth-01'";
$resultCumulativeDM = mysqli_query($conn, $queryCumulativeDM);
if (!$resultCumulativeDM) {
    die("Cumulative DM Query failed: " . mysqli_error($conn));
}
// Fetch the Cumulative DM value
$rowCumulativeDM = mysqli_fetch_assoc($resultCumulativeDM);
$totalCumulativeDM = $rowCumulativeDM['cumulative_DM_value'];

// Query to retrieve the Monthly DL Value for the current Month from the database
$queryDLMonthly = "SELECT monthly_DL_value FROM mis_DL_monthly WHERE month = '$previousYear-$previousMonth-01'";
$resultDLMonthly = mysqli_query($conn, $queryDLMonthly);
if (!$resultDLMonthly) {
    die("Monthly Query failed: " . mysqli_error($conn));
}
// Fetch the Monthly MIS Income value
$rowDLMonthly = mysqli_fetch_assoc($resultDLMonthly);
$MonthlyDL = $rowDLMonthly['monthly_DL_value'];

// Query to retrieve the Cumulative DM Value for the current year from the database
$queryMonthlyCumulativeDM = "SELECT monthly_DM_value FROM mis_DM_monthly WHERE month = '$previousYear-$previousMonth-01'";
$resultMonthlyCumulativeDM = mysqli_query($conn, $queryMonthlyCumulativeDM);
if (!$resultMonthlyCumulativeDM) {
    die("Cumulative DM Query failed: " . mysqli_error($conn));
}
// Fetch the Cumulative DM value
$rowMonthlyCumulativeDM = mysqli_fetch_assoc($resultMonthlyCumulativeDM);
$monthlyCumulativeDM = $rowMonthlyCumulativeDM['monthly_DM_value'];

// Calculate the Total Project Contribution
$totalProjectContribution = $misIncomeTotal - $TotalDL - $totalCumulativeDM;
// Calculate the Project Contribution Percentage
$projectContributionPercentage = ($totalProjectContribution / $misIncomeTotal) * 100;

// Calculate the Total Project Contribution
$monthlyProjectContribution = $monthlyMISIncome - $MonthlyDL - $monthlyCumulativeDM;
// Calculate the Project Contribution Percentage
$projectContributionPercentageMonthly = ($monthlyProjectContribution / $monthlyMISIncome) * 100;

// Query to fetch milestone data for April and Sept, including client name
$query = "SELECT clients.clientName, projects.projectName, milestones.milestoneName, milestones.milestoneValue,
           MAX(CASE WHEN DATE_FORMAT(date, '%Y-%m') = '$currentYear-03' THEN perCompletion END) AS perCompletionMarch,
           MAX(CASE WHEN DATE_FORMAT(date, '%Y-%m') = '$currentYear-09' THEN perCompletion END) AS perCompletionSept,
           SUM(users.employeeRate * (timesheet.hrs / 8)) AS CumulativeDL
    FROM milestones
    INNER JOIN projects ON milestones.projectID = projects.projectID
    INNER JOIN clients ON projects.clientID = clients.clientID
    LEFT JOIN perCompletion ON milestones.milestoneID = perCompletion.milestoneID
    LEFT JOIN timesheet ON milestones.milestoneID = timesheet.milestoneID
    LEFT JOIN users ON timesheet.userID = users.userID
    WHERE DATE_FORMAT(date, '%Y-%m') IN ('$currentYear-03', '$currentYear-09')
    GROUP BY clients.clientName, projects.projectName, milestones.milestoneName
    ORDER BY clients.clientName ASC, projects.projectName ASC, milestones.milestoneName ASC
";

$result = mysqli_query($conn, $query);

if (!$result) {
    die("Query failed: " . mysqli_error($conn));
}

// Initialize an associative array to store the total income for each project
$projectTotalIncome = array();

// Fetch and store project income data
while ($row = mysqli_fetch_assoc($result)) {
    $projectName = $row['projectName'];
    $milestoneValue = $row['milestoneValue'];
    $perCompletionMarch = $row['perCompletionMarch'];
    $perCompletionSept = $row['perCompletionSept'];

    if ($perCompletionMarch != 100) {
        // Calculate milestoneIncome for the current milestone
        $milestoneIncome = $milestoneValue * (($perCompletionSept - $perCompletionMarch) / 100);

        // Accumulate the milestoneIncome into the projectIncome total for the current project
        if (!isset($projectTotalIncome[$projectName])) {
            $projectTotalIncome[$projectName] = 0;
        }

        $projectTotalIncome[$projectName] += $milestoneIncome;
    }
}

// Query to fetch Cumulative Project Direct Labour and Direct Material Cost
$queryCumulative = "SELECT clients.clientName, projects.projectName, 
                          SUM(users.employeeRate * (timesheet.hrs / 8)) AS CumulativeDL, 
                          projects.directMaterialcost AS CumulativeDM
                   FROM timesheet
                   INNER JOIN milestones ON timesheet.milestoneID = milestones.milestoneID
                   INNER JOIN projects ON milestones.projectID = projects.projectID
                   INNER JOIN clients ON projects.clientID = clients.clientID
                   INNER JOIN users ON timesheet.userID = users.userID
                   WHERE timesheet.tentryDate BETWEEN '$startMonth' AND '$endMonth'
                   GROUP BY clients.clientName, projects.projectName
                   ORDER BY CumulativeDL DESC";

$resultCumulative = mysqli_query($conn, $queryCumulative);

if (!$resultCumulative) {
    die("Query failed: " . mysqli_error($conn));
}

// Initialize an associative array to store Cumulative Direct Labour and Direct Material Cost
$projectCumulative = array();

// Fetch and store Cumulative data
while ($rowCumulative = mysqli_fetch_assoc($resultCumulative)) {
    $projectName = $rowCumulative['projectName'];
    $cumulativeDL = $rowCumulative['CumulativeDL'];
    $cumulativeDM = $rowCumulative['CumulativeDM'];

    $projectCumulative[$projectName] = [
        'CumulativeDL' => $cumulativeDL,
        'CumulativeDM' => $cumulativeDM,
    ];
}

// Calculate and store the Total Contribution and Contribution Percentage for each project
$projectTotalContribution = array();

foreach ($projectTotalIncome as $projectName => $totalIncome) {
    if (isset($projectCumulative[$projectName])) {
        $cumulativeDL = $projectCumulative[$projectName]['CumulativeDL'];
        $cumulativeDM = $projectCumulative[$projectName]['CumulativeDM'];
        $totalContribution = $totalIncome - $cumulativeDL - $cumulativeDM;
        $contributionPercentage = ($totalContribution / $totalIncome) * 100;
        $projectTotalContribution[$projectName] = [
            'TotalContribution' => $totalContribution,
            'ContributionPercentage' => $contributionPercentage,
        ];
    } else {
        $projectTotalContribution[$projectName] = null;
    }
}

// Sort projects by income in descending order
arsort($projectTotalIncome);

// Sort projects by total contribution in descending order
arsort($projectTotalContribution);

// Take the top 10 projects based on Project Total Income
$topProjectsIncome = array_slice($projectTotalIncome, 0, 10, true);

// Take the top 10 projects based on Total Contribution
$topProjectsContribution = array_slice($projectTotalContribution, 0, 10, true);

// Initialize a counter for S.No.
$serialNumber = 1;

foreach ($topProjectsIncome as $projectName => $income) {

    if (isset($projectCumulative[$projectName])) {
    } else {
    }

    if (isset($topProjectsContribution[$projectName])) {
    } else {
    }
}

// Initialize an associative array to store the total income for each client
$clientTotalIncome = array();

// Fetch and store client income data
foreach ($result as $row) {
    $clientName = $row['clientName'];
    $milestoneValue = $row['milestoneValue'];
    $perCompletionMarch = $row['perCompletionMarch'];
    $perCompletionSept = $row['perCompletionSept'];

    if ($perCompletionMarch != 100) {
        // Calculate milestoneIncome for the current milestone
        $milestoneIncome = $milestoneValue * (($perCompletionSept - $perCompletionMarch) / 100);

        // Accumulate the milestoneIncome into the clientIncome total for the current client
        if (!isset($clientTotalIncome[$clientName])) {
            $clientTotalIncome[$clientName] = 0;
        }

        $clientTotalIncome[$clientName] += $milestoneIncome;
    }
}

// Sort clients by income in descending order
arsort($clientTotalIncome);

// Take the top 10 clients based on Total Client Income
$topClientsIncome = array_slice($clientTotalIncome, 0, 10, true);

// Close the database connection
mysqli_close($conn);
?>

<h2>Welcome, <?php echo $_SESSION['fname']; ?>!</h2>

<!-- Display the Total MIS Income value -->
<div class="row align-middle text-center">
    <div class="col-md-4 mb-4">
        <div class="card card-body p-4">
            <p class="text-sm mb-0 text-capitalize font-weight-bold">Cumulative MIS Income</p>
            <h5 class="font-weight-bolder mb-0">
                ₹<?php echo number_format($misIncomeTotal, 2); ?>
            </h5>
        </div>
    </div>
    <div class="col-md-4 mb-4">
        <div class="card card-body p-4">
        <p class="text-sm mb-0 text-capitalize font-weight-bold">Cumulative Project Contribution</p>
            <h5 class="font-weight-bolder mb-0">
                ₹<?php echo number_format($totalProjectContribution, 2); ?>
            </h5>
        </div>
    </div>
    <div class="col-md-4 mb-4">
        <div class="card card-body p-4">
        <p class="text-sm mb-0 text-capitalize font-weight-bold">Project Contribution %age</p>
            <h5 class="font-weight-bolder mb-0">
                <?php echo number_format($projectContributionPercentage, 2); ?>%
            </h5>
        </div>
    </div>
    <div class="col-md-4 mb-4">
        <div class="card card-body p-4">
        <p class="text-sm mb-0 text-capitalize font-weight-bold">Monthly MIS Income (Current Month)</p>
            <h5 class="font-weight-bolder mb-0">
                ₹<?php echo number_format($monthlyMISIncome, 2); ?>
            </h5>
        </div>
    </div>
    <div class="col-md-4 mb-4">
        <div class="card card-body p-4">
        <p class="text-sm mb-0 text-capitalize font-weight-bold">Monthly Project Contribution (Current Month)</p>
            <h5 class="font-weight-bolder mb-0">
                ₹<?php echo number_format($monthlyProjectContribution, 2); ?>
            </h5>
        </div>
    </div>
    <div class="col-md-4 mb-4">
        <div class="card card-body p-4">
        <p class="text-sm mb-0 text-capitalize font-weight-bold">Project Contribution %age (Current Month)</p>
            <h5 class="font-weight-bolder mb-0">
                <?php echo number_format($projectContributionPercentageMonthly, 2); ?>%
            </h5>
        </div>
    </div>
    <div class="col-md-6 mb-4">
        <div class="card card-body p-4">
        <p class="text-sm mb-0 text-capitalize font-weight-bold">Cumulative RGL Value</p>
            <h5 class="font-weight-bolder mb-0">
                ₹<?php echo number_format($TotalDL, 2); ?>
            </h5>
        </div>
    </div>
    <div class="col-md-6 mb-4">
        <div class="card card-body p-4">
        <p class="text-sm mb-0 text-capitalize font-weight-bold">RGL Value (Current Month)</p>
            <h5 class="font-weight-bolder mb-0">
                ₹<?php echo number_format($MonthlyDL, 2); ?>
            </h5>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-6 mb-4">
        <div class="card card-body p-4">
            <div id='incomeChart'></div>
        </div>
    </div>
    <div class="col-md-6 mb-4">
        <div class="card card-body p-4">
            <div id='contributionChart'></div>
        </div>
    </div>
</div>

<!-- Display the new chart showing Top 10 Clients by Total Client Income -->
<div class="row">
    <div class="col-md-6 mb-4">
        <div class="card card-body p-4">
            <div id='clientIncomeChart'></div>
        </div>
    </div>
</div>

<script type="text/javascript">
    google.charts.load('current', { 'packages': ['corechart'] });

    google.charts.setOnLoadCallback(drawTopProjectsByIncomeChart);
    google.charts.setOnLoadCallback(drawTopProjectsByContributionChart);
    google.charts.setOnLoadCallback(drawTopClientsByIncomeChart);

    function drawTopProjectsByIncomeChart() {
        // Create the data table for the income chart
        var incomeData = new google.visualization.DataTable();
        incomeData.addColumn('string', 'Project Name');
        incomeData.addColumn('number', 'Project Total Income (in Lakhs)');
        incomeData.addColumn({type: 'string', role: 'annotation'});

        var incomeRows = [
            <?php
            // Loop through the top 10 projects based on Project Total Income
            foreach ($topProjectsIncome as $projectName => $income) {
                // Convert income to lakhs with one decimal place
                $incomeInLakhs = number_format($income / 100000, 1);
                echo "['$projectName', $incomeInLakhs, '$incomeInLakhs L'],";
            }
            ?>
        ];

        incomeData.addRows(incomeRows);

        // Set chart options
        var incomeOptions = {
            title: 'Top 10 Projects by Cumulative Project Income (in Lakhs)',
            width: 530,
            height: 400,
            legend: 'none', // Remove the legend
            colors: ['#a7202a'], // Change the chart's color
            hAxis: {
                format: '#,##0.0L', // Format axis labels in lakhs with one decimal place
                viewWindowMode: 'maximized'
            },
            bar: {
                groupWidth: '85%' // Increase the spacing between columns (adjust this value)
            },
            annotations: {
                textStyle: {
                    fontSize: 9 // Set the font size for annotations (adjust this value)
                }
            }
        };

        // Create the income chart
        var incomeChart = new google.visualization.ColumnChart(document.getElementById('incomeChart'));
        incomeChart.draw(incomeData, incomeOptions);
    }

    function drawTopProjectsByContributionChart() {
        // Create the data table for the contribution chart
        var contributionData = new google.visualization.DataTable();
        contributionData.addColumn('string', 'Project Name');
        contributionData.addColumn('number', 'Total Contribution (in Lakhs)');
        contributionData.addColumn({type: 'string', role: 'annotation'});

        var contributionRows = [
            <?php
            // Loop through the top 10 projects based on Total Contribution
            foreach ($topProjectsContribution as $projectName => $contributionData) {
                if ($contributionData !== null) {
                    $totalContribution = $contributionData['TotalContribution'];
                    // Convert contribution to lakhs with one decimal place
                    $contributionInLakhs = number_format($totalContribution / 100000, 1);
                    echo "['$projectName', $contributionInLakhs, '$contributionInLakhs L'],";
                }
            }
            ?>
        ];

        contributionData.addRows(contributionRows);

        // Set chart options
        var contributionOptions = {
            title: 'Top 10 Projects by Total Contribution (in Lakhs)',
            width: 530,
            height: 400,
            legend: 'none', // Remove the legend
            colors: ['#a7202a'], // Change the chart's color
            hAxis: {
                format: '#,##0.0L' // Format axis labels in lakhs with one decimal place
            },
            bar: {
                groupWidth: '85%' // Increase the spacing between columns (adjust this value)
            },
            annotations: {
                textStyle: {
                    fontSize: 9 // Set the font size for annotations (adjust this value)
                }
            }
        };

        // Create the contribution chart
        var contributionChart = new google.visualization.ColumnChart(document.getElementById('contributionChart'));
        contributionChart.draw(contributionData, contributionOptions);
    }

    function drawTopClientsByIncomeChart() {
        // Create the data table for the client income chart
        var clientIncomeData = new google.visualization.DataTable();
        clientIncomeData.addColumn('string', 'Client Name');
        clientIncomeData.addColumn('number', 'Total Client Income (in Lakhs)');
        clientIncomeData.addColumn({type: 'string', role: 'annotation'});

        var clientIncomeRows = [
            <?php
            // Loop through the top 10 clients based on Total Client Income
            foreach ($topClientsIncome as $clientName => $income) {
                // Convert income to lakhs
                $incomeInLakhs = number_format($income / 100000, 1);
                echo "['$clientName', $incomeInLakhs, '$incomeInLakhs L'],";
            }
            ?>
        ];

        clientIncomeData.addRows(clientIncomeRows);

        // Set chart options
        var clientIncomeOptions = {
            title: 'Top 10 Clients by Total Client Income (in Lakhs)',
            width: 530,
            height: 400,
            legend: 'none', // Remove the legend
            colors: ['#a7202a'], // Change the chart's color
            hAxis: {
                format: '#,##0.0L', // Format axis labels in lakhs with one decimal place
                viewWindowMode: 'maximized'
            },
            bar: {
                groupWidth: '85%' // Increase the spacing between columns (adjust this value)
            },
            annotations: {
                textStyle: {
                    fontSize: 9 // Set the font size for annotations (adjust this value)
                }
            }
        };

        // Create the client income chart
        var clientIncomeChart = new google.visualization.ColumnChart(document.getElementById('clientIncomeChart'));
        clientIncomeChart.draw(clientIncomeData, clientIncomeOptions);
    }
</script>

<?php include('includes/footer.php'); ?>